"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/appSlice/selectors.ts
var selectors_exports = {};
__export(selectors_exports, {
  getDocsVersion: () => getDocsVersion,
  getFeatures: () => getFeatures,
  getFullVersionInformation: () => getFullVersionInformation,
  getIsPreview: () => getIsPreview,
  getSearchState: () => getSearchState,
  getSearchedDevices: () => getSearchedDevices,
  getVersionInformation: () => getVersionInformation
});
module.exports = __toCommonJS(selectors_exports);
var import_helpers = require("@northern.tech/utils/helpers");
var import_toolkit = require("@reduxjs/toolkit");
var getAppDocsVersion = (state) => state.app.docsVersion;
var getFeatures = (state) => state.app.features;
var getFullVersionInformation = (state) => state.app.versionInformation;
var getDocsVersion = (0, import_toolkit.createSelector)([getAppDocsVersion, getFeatures], (appDocsVersion, { isHosted }) => {
  const docsVersion = appDocsVersion ? `${appDocsVersion}/` : "development/";
  return isHosted ? "" : docsVersion;
});
var getSearchState = (state) => state.app.searchState;
var getSearchedDevices = (0, import_toolkit.createSelector)([getSearchState], ({ deviceIds }) => deviceIds);
var getVersionInformation = (0, import_toolkit.createSelector)(
  [getFullVersionInformation, getFeatures],
  ({ Integration, ...remainder }, { isHosted }) => isHosted && Integration !== "next" ? remainder : { ...remainder, Integration }
);
var getIsPreview = (0, import_toolkit.createSelector)([getFullVersionInformation], ({ Integration }) => (0, import_helpers.versionCompare)(Integration, "next") > -1);
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  getDocsVersion,
  getFeatures,
  getFullVersionInformation,
  getIsPreview,
  getSearchState,
  getSearchedDevices,
  getVersionInformation
});
//# sourceMappingURL=selectors.cjs.map