import * as redux from 'redux';
import * as _reduxjs_toolkit from '@reduxjs/toolkit';
import * as immer from 'immer';

declare const sliceName = "monitor";
declare const initialState: {
    alerts: {
        alertList: {
            total: number;
            page: number;
            perPage: number;
        };
        byDeviceId: {};
    };
    issueCounts: {
        byType: {};
    };
    settings: {
        global: {
            channels: {};
        };
    };
};
declare const monitorSlice: _reduxjs_toolkit.Slice<{
    alerts: {
        alertList: {
            total: number;
            page: number;
            perPage: number;
        };
        byDeviceId: {};
    };
    issueCounts: {
        byType: {};
    };
    settings: {
        global: {
            channels: {};
        };
    };
}, {
    changeAlertChannel: (state: immer.WritableDraft<{
        alerts: {
            alertList: {
                total: number;
                page: number;
                perPage: number;
            };
            byDeviceId: {};
        };
        issueCounts: {
            byType: {};
        };
        settings: {
            global: {
                channels: {};
            };
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receiveDeviceAlerts: (state: immer.WritableDraft<{
        alerts: {
            alertList: {
                total: number;
                page: number;
                perPage: number;
            };
            byDeviceId: {};
        };
        issueCounts: {
            byType: {};
        };
        settings: {
            global: {
                channels: {};
            };
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receiveLatestDeviceAlerts: (state: immer.WritableDraft<{
        alerts: {
            alertList: {
                total: number;
                page: number;
                perPage: number;
            };
            byDeviceId: {};
        };
        issueCounts: {
            byType: {};
        };
        settings: {
            global: {
                channels: {};
            };
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receiveDeviceIssueCounts: (state: immer.WritableDraft<{
        alerts: {
            alertList: {
                total: number;
                page: number;
                perPage: number;
            };
            byDeviceId: {};
        };
        issueCounts: {
            byType: {};
        };
        settings: {
            global: {
                channels: {};
            };
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setAlertListState: (state: immer.WritableDraft<{
        alerts: {
            alertList: {
                total: number;
                page: number;
                perPage: number;
            };
            byDeviceId: {};
        };
        issueCounts: {
            byType: {};
        };
        settings: {
            global: {
                channels: {};
            };
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
}, "monitor", "monitor", _reduxjs_toolkit.SliceSelectors<{
    alerts: {
        alertList: {
            total: number;
            page: number;
            perPage: number;
        };
        byDeviceId: {};
    };
    issueCounts: {
        byType: {};
    };
    settings: {
        global: {
            channels: {};
        };
    };
}>>;
declare const actions: _reduxjs_toolkit.CaseReducerActions<{
    changeAlertChannel: (state: immer.WritableDraft<{
        alerts: {
            alertList: {
                total: number;
                page: number;
                perPage: number;
            };
            byDeviceId: {};
        };
        issueCounts: {
            byType: {};
        };
        settings: {
            global: {
                channels: {};
            };
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receiveDeviceAlerts: (state: immer.WritableDraft<{
        alerts: {
            alertList: {
                total: number;
                page: number;
                perPage: number;
            };
            byDeviceId: {};
        };
        issueCounts: {
            byType: {};
        };
        settings: {
            global: {
                channels: {};
            };
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receiveLatestDeviceAlerts: (state: immer.WritableDraft<{
        alerts: {
            alertList: {
                total: number;
                page: number;
                perPage: number;
            };
            byDeviceId: {};
        };
        issueCounts: {
            byType: {};
        };
        settings: {
            global: {
                channels: {};
            };
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receiveDeviceIssueCounts: (state: immer.WritableDraft<{
        alerts: {
            alertList: {
                total: number;
                page: number;
                perPage: number;
            };
            byDeviceId: {};
        };
        issueCounts: {
            byType: {};
        };
        settings: {
            global: {
                channels: {};
            };
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setAlertListState: (state: immer.WritableDraft<{
        alerts: {
            alertList: {
                total: number;
                page: number;
                perPage: number;
            };
            byDeviceId: {};
        };
        issueCounts: {
            byType: {};
        };
        settings: {
            global: {
                channels: {};
            };
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
}, "monitor">;
declare const _default: redux.Reducer<{
    alerts: {
        alertList: {
            total: number;
            page: number;
            perPage: number;
        };
        byDeviceId: {};
    };
    issueCounts: {
        byType: {};
    };
    settings: {
        global: {
            channels: {};
        };
    };
}>;

export { actions, _default as default, initialState, monitorSlice, sliceName };
